import { useNavigate } from 'react-router-dom';
import Login from '../../components/TopLevel/Login/Index';
import { login, createUser } from '../../lib/api';
import { setItem } from '../../lib/localStorage';
import styles from './styles.module.css';

const LoginPage = () => {
  const navigate = useNavigate();
  const onSubmit = async (email) => {
    const userData = await login(email);
    if (userData) {
      navigate('/');
      setItem('user', userData.id);
      setItem('modal', true);
    } else {
      const data = await createUser(email);
      navigate('/');
      setItem('user', data.id);
      setItem('modal', true);
    }
  };
  return <Login onSubmit={onSubmit} />;
};

export default LoginPage;
